> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get jsonschema for config file

> Return jsonschemas for Nuon configs. These can be used in frontmatter in most editors that have a TOML LSP (such as
[Taplo](https://taplo.tamasfe.dev/) configured.

```toml
#:schema https://api.nuon.co/v1/general/config-schema?source=inputs

description = "description"
```

You can pass in a valid source argument to render within a specific config file:

- input
- input-group
- installer
- sandbox
- runner
- docker_build
- container_image
- helm
- terraform
- runbook
- job




## OpenAPI

````yaml get /v1/general/config-schema
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1037
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: policy-reports
    name: policy-reports
  - description: general
    name: general
  - description: actions
    name: actions
  - description: runbooks
    name: runbooks
  - description: apps
    name: apps
  - description: components
    name: components
  - description: onboarding
    name: onboarding
  - description: slack
    name: slack
  - description: installs
    name: installs
  - description: orgs
    name: orgs
  - description: notebooks
    name: notebooks
  - description: runners/runner
    name: runners/runner
  - description: queues
    name: queues
  - description: actions/runner
    name: actions/runner
  - description: auth
    name: auth
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: accounts
    name: accounts
paths:
  /v1/general/config-schema:
    get:
      tags:
        - general
      summary: Get jsonschema for config file
      description: >
        Return jsonschemas for Nuon configs. These can be used in frontmatter in
        most editors that have a TOML LSP (such as

        [Taplo](https://taplo.tamasfe.dev/) configured.


        ```toml

        #:schema https://api.nuon.co/v1/general/config-schema?source=inputs


        description = "description"

        ```


        You can pass in a valid source argument to render within a specific
        config file:


        - input

        - input-group

        - installer

        - sandbox

        - runner

        - docker_build

        - container_image

        - helm

        - terraform

        - runbook

        - job
      operationId: GetConfigSchema
      parameters:
        - description: return a schema for a source file
          in: query
          name: type
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
components:
  schemas:
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object

````